using System.ComponentModel;

namespace Kit.Helpers.Web.Models
{
    public class JsTreeNodeModelBase<TData>
    {
        /// <summary> Id узла. Обязателен для заполнения </summary>
        [Description("Id узла. Обязателен для заполнения")]
        public string id { get; set; }
        
        /// <summary> Id родительского узла. Обязателен для заполнения. Если является корневым, указывать значение '#' </summary>
        [Description("Id родительского узла. Обязателен для заполнения. Если является корневым, указывать значение '#'")]
        public string parent { get; set; }

        /// <summary> Текст узла </summary>
        [Description("Текст узла")]
        public string text { get; set; }

        /// <summary> Иконка узла </summary>
        [Description("Иконка узла")]
        public string icon { get; set; }

        /// <summary> Тип узла </summary>
        [Description("Тип узла")]
        public string type { get; set; }

        /// <summary> Дополнительные данные узла </summary>
        [Description("Дополнительные данные узла")]
        public TData data { get; set; }

        /// <summary> Состояние узла </summary>
        [Description("Состояние узла")]
        public JsTreeNodeStateModel state { get; set; }
    }
}